jersey.repackaged.org.objectweb.asm

## Class MethodTooLargeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IndexOutOfBoundsException
        - - jersey.repackaged.org.objectweb.asm.MethodTooLargeException

All Implemented Interfaces:
  Serializable

    public final class MethodTooLargeException
    extends IndexOutOfBoundsException

Exception thrown when the Code attribute of a method produced by a `ClassWriter` is too large.

Author:
  Jason Zaugg
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MethodTooLargeException(String className, String methodName, String descriptor, int codeSize)` Constructs a new `MethodTooLargeException`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassName()` Returns the internal name of the owner class.
`int` `getCodeSize()` Returns the size of the method's Code attribute, in bytes.
`String` `getDescriptor()` Returns the descriptor of the method.
`String` `getMethodName()` Returns the name of the method.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodTooLargeException

    public MethodTooLargeException(String className,
                                   String methodName,
                                   String descriptor,
                                   int codeSize)

Constructs a new `MethodTooLargeException`.

Parameters:
  `className` - the internal name of the owner class.
  `methodName` - the name of the method.
  `descriptor` - the descriptor of the method.
  `codeSize` - the size of the method's Code attribute, in bytes.

### Method Detail

#### getClassName

    public String getClassName()

Returns the internal name of the owner class.

Returns:
  the internal name of the owner class.

#### getMethodName

    public String getMethodName()

Returns the name of the method.

Returns:
  the name of the method.

#### getDescriptor

    public String getDescriptor()

Returns the descriptor of the method.

Returns:
  the descriptor of the method.

#### getCodeSize

    public int getCodeSize()

Returns the size of the method's Code attribute, in bytes.

Returns:
  the size of the method's Code attribute, in bytes.